Bug 850081 - Introduce new systemd-rpm macros in dbmail spec file
Introduce new systemd-rpm macros in dbmail spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dbmail (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:32 EDT by Lukáš Nykrýn
Modified: 2015-03-16 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version: dbmail-3.2.3-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-13 13:06:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:32:00 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora End Of Life 2013-12-21 03:43:13 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora Update System 2015-02-27 22:01:18 EST
dbmail-3.2.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dbmail-3.2.3-1.fc22
Comment 3 Fedora Update System 2015-02-27 22:02:24 EST
dbmail-3.2.3-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dbmail-3.2.3-1.fc21
Comment 4 Fedora Update System 2015-02-27 22:12:41 EST
dbmail-3.2.3-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dbmail-3.2.3-1.el7
Comment 5 Fedora Update System 2015-02-28 11:41:24 EST
Package dbmail-3.2.3-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dbmail-3.2.3-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2868/dbmail-3.2.3-1.fc22
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2015-03-13 13:06:55 EDT
dbmail-3.2.3-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-03-13 13:11:32 EDT
dbmail-3.2.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-03-16 12:31:43 EDT
dbmail-3.2.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.